Remove item
DELETE
https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items
Path Parameters
- project-idstringrequiredExampleDescription
- collection-idstringrequiredDescription
Body Parameters
- bodyobject
- itemsstring[]requiredDescription
Responses
204
curl
curl --request DELETE \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"items": []
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"items": []
});
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"items": []
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items"
payload = json.dumps({
"items": []
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// No Content